# $Revision: 1.151.2.1 $, $Date: 2007/03/23 13:19:08 $
# TODO:
# - separate devel things from runtime things (apache-mod_perl-2.0.2-2 marks perl-ExtUtils-MakeMaker-6.25_08-1 (cap perl(ExtUtils::Install)))
#
# Conditional build:
%bcond_without	autodeps	# don't care about perl() deps resolving
%bcond_with	tests		# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		apxs	/usr/sbin/apxs
%define		mod_name	perl
# NB! leave this without *release*
%define	apache_test_version	1.29
Summary:	A Perl interpreter for the Apache Web server
Summary(cs):	Vestavn interpret Perlu pro WWW server Apache
Summary(da):	En indbygget Perl-fortolker for webtjeneren Apache
Summary(de):	Ein eingebetteter Perl-Interpreter fr den Apache Web-Server
Summary(es):	Intrprete Perl para el servidor Web Apache
Summary(fr):	Interprteur Perl intgr pour le serveur Web Apache
Summary(id):	Interpreter Perl untuk web server Apache
Summary(is):	Perl tlkur fyrir Apache vefjninn
Summary(it):	Interprete Perl integrato per il server Web Apache
Summary(ja):	Apache Web СѤȹ Perl 󥿡ץ꥿
Summary(nb):	En Perl-fortolker for webtjeneren Apache
Summary(pl):	Interpreter Perla dla serwera WWW Apache
Summary(pt):	Um interpretador de Perl embebido para o servidor Web Apache
Summary(ru):	  Perl  WWW- Apache
Summary(sk):	Interpreter jazyka Perl pre webov server Apache
Summary(sl):	Vkljueni perlovski tolma za spletni strenik Apache
Summary(sv):	En inbyggd Perl-interpretator fr webbservern Apache
Summary(uk):	   Perl   Apache
Summary(zh_CN):	 Apache web  Perl ͳ
Name:		apache-mod_perl
Version:	2.0.3
Release:	2
Epoch:		1
License:	Apache
Group:		Networking/Daemons
Source0:	http://perl.apache.org/dist/mod_perl-%{version}.tar.gz
# Source0-md5:	b40e2adf67c6be15a0041af1c67b6997
Source1:	%{name}.conf
Patch0:		%{name}-Makefile_PL.patch
Patch1:		%{name}-path_info_secfix.patch
URL:		http://perl.apache.org/
BuildRequires:	apache-devel >= 2.0.55-1
BuildRequires:	apr-util-devel >= 1:1.0.0
BuildRequires:	expat-devel
BuildRequires:	gdbm-devel
BuildRequires:	openldap-devel >= 2.3.0
BuildRequires:	perl-Apache-Test >= 1:%{apache_test_version}
%{?with_autodeps:BuildRequires:	perl-Data-Flow}
BuildRequires:	perl-devel >= 1:5.8.2
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	rpmbuild(macros) >= 1.268
%if %{with tests}
BuildRequires:	apache-mod_auth_basic
BuildRequires:	apache-mod_authz_host
BuildRequires:	apache-mod_deflate
BuildRequires:	apache-mod_env
BuildRequires:	apache-mod_include
BuildRequires:	apache-mod_mime
BuildRequires:	apache-mod_proxy
BuildRequires:	perl-CGI >= 3.22
%endif
# older apache-mod_perl could make bad autodeps to perl-mod_perl
BuildConflicts:	apache-mod_perl < 1:2.0.2-9
Requires:	apache(modules-api) = %apache_modules_api
Requires:	perl-mod_%{mod_name} = %{epoch}:%{version}-%{release}
Provides:	apache(mod_perl)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# TODO: separate -devel with ExtUtils::Embed and friends?
%define		_noautoreq	'perl(Apache::.*)' 'perl(mod_perl)' 'perl(ModPerl::.*)' 'perl(ExtUtils::Embed)' 'perl(Module::Build)'
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)
%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)

%description
Mod_perl incorporates a Perl interpreter into the Apache web server,
so that the Apache web server can directly execute Perl code. Mod_perl
links the Perl runtime library into the Apache web server and provides
an object-oriented Perl interface for Apache's C language API. The end
result is a quicker CGI script turnaround process, since no external
Perl interpreter has to be started.

%description -l cs
Modul mod_perl zaleuje interpret Perlu do WWW serveru Apache, take
WWW server me pmo provdt programy v Perlu. Mod_perl pipojuje
bhovou knihovnu Perlu do Apache WWW serveru a poskytuje objektov
orientovan perlovsk rozhran pro API serveru Apache. Vsledkem je
rychlej start CGI skript, protoe nemus bt startovn extern
interpret Perlu.

%description -l de
Mod_perl integriert einen Perl-Interpreter in den Apache Web-Server,
so dass dieser Perl-Code direkt ausfhren kann. Das Programm verknpft
die Perl-Runtime-Bibliothek mit dem Apache Web-Sever und stellt eine
objektorientierte Perl-Benutzeroberflche fr die C-API des
Apache-Servers bereit. Das Resultat ist eine schnellere Ausfhrung von
CGI-Skripten, da kein externer Perl-Interpreter gestartet werden muss.

%description -l es
Mod_perl incluye un intrprete Perl en el servidor Apache, de manera
que se puede ejecutar el cdigo Perl directamente desde el servidor
Web. Mod_perl enumera las bibliotecas runtime del Perl al Web servidor
Apache y proporciona una interfaz Perl object-oriented para las API
del lenguaje C. De tal modo que se obtiene una ejecucin ms rpida de
los script CGI sin necesidad de apoyarse en un intrprete Perl.

%description -l fr
Mod_perl incorpore un interprteur Perl dans le serveur Web Apache, de
manire  ce que le serveur Web Apache puisse excuter directement du
code Perl. Mod_perl lie la bibliothque d'excution Perl au serveur
Web Apache et fournit une interface Perl oriente objet pour l'API en
langage C d'Apache. Le rsultat final est une excution des scripts
CGI plus rapide, du fait qu'aucun interprteur Perl externe ne doit
tre dmarr.

%description -l id
Mod_perl memasukkan interpreter Perl ke dalam web server Apache,
sehingga Apache dapat secara langsung menjalankan kode Perl. Mod_perl
me-link runtime library Perl ke dalam web server Apache dan
menyediakan antarmuka Perl yang object-oriented untuk API Apache yang
ditulis dalam C. Hasilnya, respon proses CGI lebih cepat, karena tidak
perlu lagi menjalankan interpreter Perl eksternal.

%description -l is
Mod_perl vinnur me perl  Apache vefjninum svo a Apache geti beint
keyrt Perl ka. Mod_perl tengir Perl keyrslu sfnin vi Apache
vefjninn og bur upp  hlutbundi Perl fyrir Apache C
forritunarmls API. a sem grist er Hraari CGI scriptur ar sem
a er engar ttengd Perl kll.

%description -l it
Mod_perl incorpora un interprete Perl nel server web Apache, in modo
che quest'ultimo possa eseguire direttamente il codice Perl. Mod_perl
collega la libreria runtime di Perl al server web Apache e fornisce
un'interfaccia Perl orientata all'oggetto per le API in linguaggio C
di Apache. In tal modo si velocizza il processo di turnaround degli
script CGI, poich non  pi necessario appoggiarsi ad un interprete
Perl esterno.

%description -l ja
mod_perl ϡApache Web Сľ Perl ɤ¹ԤǤ褦ˡ
Perl 󥿡ץ꥿ Apache Web СȤ߹ߤޤmod_perl ϡ
Perl Υ󥿥饤֥ Apache Web С˥󥯤Apache
 C  API ѤΥ֥Ȼظ Perl 󥿡ե
ޤη̡ Perl 󥿡ץ꥿ưɬפʤᡢ
CGI ץȤΥ󥢥饦ɥץ®ʤޤ

%description -l pl
Mod_perl jest moduem, ktry wyposaa serwer Apache w interpreter
Perla, umoliwiajc w ten sposb bezporednie wykonywanie kodu Perla
przez serwer bez potrzeby angaowania zewntrznego interpretera, co
przyspiesza procesy zwizane z uruchamianiem skryptw CGI.

%description -l pt
O mod_perl incorpora um interpretador de Perl no servidor Web Apache,
para que assim o servidor Web Apache possa executar directamente
cdigo em Perl. O mod_perl associa a biblioteca de execuo do Perl
com o servidor Web Apache e oferece uma interface orientada por
objectos do Perl para a API de C do Apache. O resultado final  um
processo de torneamento dos 'scripts' CGI mais rpido, dado que no
tem que se iniciar um interpretador de Perl externo.

%description -l ru
Mod_perl  Perl-  WWW- Apache,  
       Perl. Mod_perl 
   Perl   Apache  
-  Perl API  Apache C. 
 -     CGI.

%description -l sk
Mod_perl zaleuje interpreter Perlu do webovho servera Apache;
server Apache potom me priamo vykonva prkazy Perlu. Mod_perl
zlinkuje kninicu Perlu s webovm serverom Apache a poskytne tak
objektovo orietovan rozhranie Perlu pre aplikan rozhranie servera
Apache v jazyku C. Vsledkom je rchlejie vykonanie CGI skriptu, bez
akhokovek spustenia externho interpretera jazyka Perl.

%description -l sv
Mod_perl infrlivar en Perl-interpretator i webbservern Apache, s att
webbervern Apach kan kra Perl-kod direkt. Mod_perl lnkar in Perls
krtidsbibliotek i webbservern Apache och ger ett objektorienterat
Perl-grnssnitt till Apaches API i sprket C. Slutresultatet r en
snabbare processomsttning av CGI-skript, eftersom ingen extern
Perl-interpretator behver startas.

%description -l uk
 æ Apache  Perl Ѥ   
Φ   Perl  web- Apache. 
   ¦̦ Perl  
Apache  DSO   '-Ҧ Perl-¦̦ 
  Apache API.

    mod_perl',  Ѥ 
̦  Apache   צ Perl. Ҧ ,  Ѥ
      Perl 
æ  .

%description -l zh_CN
Mod_perl  Perl ͳ Apache web һ
Ա߿ֱִ Perl 롣 Mod_perl  Perl ʱ
Apache web  Ϊ Apache  C  API ṩ Perl
ӿڡ ڲκⲿ Perl ͳ˻ʹ CGI
űת̸Ϊ١

%package devel
Summary:	Files needed for building XS modules that use mod_perl
Summary(pl):	Pliki potrzebne do budowania moduw XS korzystajcych z mod_perla
Group:		Development/Libraries
Requires:	apache-devel >= 2.0
Requires:	perl(DynaLoader) = %(%{__perl} -MDynaLoader -e 'print DynaLoader->VERSION')
Requires:	perl-Apache-Test
Requires:	perl-mod_%{mod_name} = %{epoch}:%{version}-%{release}
Obsoletes:	mod_perl
Obsoletes:	mod_perl-common
Conflicts:	perl-modules < 1:5.8.6-6

%description devel
The apache-mod_perl-devel package contains the files needed for
building XS modules that use mod_perl.

%description devel -l pl
Ten pakiet zawiera pliki potrzebne do budowania moduw XS
korzystajcych z mod_perla.

%package -n perl-mod_%{mod_name}
Summary:	Perl APIs for mod_perl
Summary(pl):	Perlowe API dla mod_perla
Group:		Development/Languages/Perl

%description -n perl-mod_%{mod_name}
Perl APIs for mod_perl.

%description -n perl-mod_%{mod_name} -l pl
Perlowe API dla mod_perla.

%prep
%setup -q -n mod_%{mod_name}-%{version}
%patch0 -p1
%patch1 -p0

bundled=$(%{__perl} -IApache-Test/lib -MApache::Test -e 'print Apache::Test->VERSION')
if [ "%apache_test_version" != "$bundled" ]; then
	: "%%define apache_test_version to $bundled and retry."
	exit 1
fi
rm -rf Apache-Test

%build
%{__perl} Makefile.PL \
	MP_APXS=%{apxs} \
	MP_APR_CONFIG=%{_bindir}/apr-1-config \
	MP_APU_CONFIG=%{_bindir}/apu-1-config \
	INSTALLDIRS=vendor

%{__make} \
	OPTIMIZE="%{rpmcflags}" \
	MODPERL_OPTIMIZE="%{rpmcflags}" \
	CC="%{__cc}" \
	MP_APXS=%{apxs}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/httpd.conf}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name \*.orig -exec rm -f '{}' \;

install xs/tables/current/Apache2/* $RPM_BUILD_ROOT%{perl_vendorarch}/Apache2
install xs/tables/current/APR/* $RPM_BUILD_ROOT%{perl_vendorarch}/APR
install xs/tables/current/ModPerl/* $RPM_BUILD_ROOT%{perl_vendorarch}/ModPerl

rm -rf $RPM_BUILD_ROOT%{perl_vendorarch}/Bundle
rm -f $RPM_BUILD_ROOT%{_mandir}/man?/Bundle*
rm -f $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/mod_perl2/.packlist
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf/75_mod_perl.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc Changes INSTALL README STATUS
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf/*.conf
%attr(755,root,root) %{_pkglibdir}/*.so

%files -n perl-mod_%{mod_name}
%defattr(644,root,root,755)
%{perl_vendorarch}/*.pm
%{perl_vendorarch}/APR
%{perl_vendorarch}/Apache2
%{perl_vendorarch}/ModPerl

%dir %{perl_vendorarch}/auto/*
%{perl_vendorarch}/auto/*/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/*/*.so
%dir %{perl_vendorarch}/auto/APR/[B-U]*
%dir %{perl_vendorarch}/auto/Apache2/[A-U]*
%dir %{perl_vendorarch}/auto/ModPerl/*
%{perl_vendorarch}/auto/*/*/*.ix
%{perl_vendorarch}/auto/*/*/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/*/*/*.so
%{perl_vendorarch}/auto/Apache2/typemap
%{_mandir}/man?/*

%files devel
%defattr(644,root,root,755)
%{_includedir}/apache/*.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache-mod_perl.spec,v $
Revision 1.151.2.1  2007/03/23 13:19:08  radek
- release 2: added SECURITY -path_info_secfix.path; STBR

Revision 1.151  2006/12/07 07:37:37  qboosh
- updated to 2.0.3 release

Revision 1.150  2006/09/08 14:33:03  radek
- BR: apache-mod_env for tests

Revision 1.149  2006/09/08 14:29:59  radek
- added tests (default off)

Revision 1.148  2006/09/08 13:46:54  radek
- version 2.03 rc1

Revision 1.147  2006/08/22 12:12:11  glen
- -devel R: perl-Apache-Test (for libapreq2.spec); rel 13

Revision 1.146  2006/07/31 00:46:28  glen
- rel 12

Revision 1.145  2006/07/31 00:46:12  glen
- drop R: perl-Apache-Test from -devel (-devel is for building XS modules)

Revision 1.144  2006/07/31 00:45:11  glen
- kill Apache::Test strictness at build time

Revision 1.143  2006/07/30 16:53:13  hawk
- epoch for perl-Apache-Test BR

Revision 1.142  2006/07/30 15:18:11  hawk
- release 11 for perl-Apache-Test 1.28

Revision 1.141  2006/06/23 18:45:28  qboosh
- pl summary for perl-

Revision 1.140  2006/04/17 18:08:57  glen
- rel 10 to rebuild for bad autodeps to go away from perl-mod_perl

Revision 1.139  2006/04/14 17:07:56  glen
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

Revision 1.138  2006/02/27 14:48:48  glen
- drop P: perl(mod_perl_hooks)

Revision 1.137  2006/02/27 14:09:06  glen
- separated perl stuff to perl-mod_perl (better name?), rel 9

Revision 1.136  2006/02/16 17:58:29  glen
- version with Apache-Test is important, not release; rel 8

Revision 1.135  2006/02/15 21:25:33  glen
- check files cleanup

Revision 1.134  2006/02/04 10:39:04  qboosh
- allow perl(Data::Flow) -> perl-Data-Flow resolving

Revision 1.133  2006/02/04 10:35:48  qboosh
- fixed preamble

Revision 1.132  2006/01/30 17:39:10  glen
- use %service

Revision 1.131  2006/01/25 11:39:30  qboosh
- pl for -devel

Revision 1.130  2006/01/24 11:34:36  qboosh
- bcond header

Revision 1.129  2006/01/18 09:57:40  baggins
- rel 7
- use E:V.R in strict reqs

Revision 1.128  2006/01/18 09:51:58  baggins
- use correct bcond syntax

Revision 1.127  2006/01/18 09:46:29  baggins
- release 6
- reverse bcond to proper value for correct rebuild

Revision 1.126  2006/01/18 09:40:06  baggins
- typo

Revision 1.125  2006/01/18 09:38:22  baggins
- I think I got it right now

Revision 1.124  2006/01/18 09:36:08  baggins
- typo

Revision 1.123  2006/01/18 09:31:47  baggins
- bcond fighting

Revision 1.122  2006/01/18 09:27:37  baggins
- fix bcond

Revision 1.121  2006/01/18 09:25:08  baggins
- reverse bcond

Revision 1.120  2006/01/18 09:23:11  baggins
- bcond-remove internal Apache-Test

Revision 1.119  2006/01/18 09:17:04  baggins
- builder play

Revision 1.118  2006/01/18 09:14:44  baggins
- release 5

Revision 1.117  2006/01/18 09:12:00  baggins
- still rebuilding

Revision 1.116  2006/01/18 09:11:13  baggins
- first round of rebuild

Revision 1.115  2006/01/17 14:43:11  baggins
- release 4
- BR openldap 2.3

Revision 1.114  2005/12/29 19:23:38  glen
- strict Apache::Test deps (to have no side effects of using system pkg)

Revision 1.113  2005/12/29 19:08:05  glen
- drop Provides: mod_perl (no PLD package requires it)
- use system perl-Apache-Test, this prevents apache1-mod_perl obsoleting this package
- created -devel package with header files
- please test!

Revision 1.112  2005/12/27 00:38:14  glen
- unified

Revision 1.111  2005/12/25 23:21:34  glen
- Provide apache(mod_perl)
- sort BR; rel 3

Revision 1.110  2005/12/25 22:32:38  glen
- add TODO

Revision 1.109  2005/12/21 22:36:12  glen
- rel 2 (rebuild with new apache)

Revision 1.108  2005/10/31 01:20:29  qboosh
- updated to 2.0.2

Revision 1.107  2005/10/30 18:49:01  glen
- requires_eq_to apache-devel as apache itself not BR-ed

Revision 1.106  2005/10/30 18:35:07  glen
- perl(Module::Build) must be bogus

Revision 1.105  2005/10/17 17:05:30  arekm
- rel 4

Revision 1.104  2005/10/17 12:38:27  arekm
- rel 3

Revision 1.103  2005/10/17 12:37:44  glen
- rel 2

Revision 1.102  2005/09/29 20:56:04  arekm
- rel 1

Revision 1.101  2005/09/29 09:18:05  arekm
- up to 2.0.1

Revision 1.100  2005/06/08 21:54:18  migo
- cosmetics - unnecessary '\'

Revision 1.99  2005/06/07 12:08:14  blues
- current version conflicts with older perl-modeules

Revision 1.98  2005/06/04 13:11:04  migo
- cosmetics
- remove bogus provides
- there is no need for using MP_CCOPTS now

Revision 1.97  2005/06/04 09:47:07  ankry
- rel. 1

Revision 1.96  2005/05/30 21:26:00  migo
- make APR.so link with apr-util (set MP_APU_CONFIG)

Revision 1.95  2005/05/30 19:16:57  qboosh
- cleanup

Revision 1.94  2005/05/28 16:02:08  radzio
- as migo (at pld-linux.org) said (in private mail):
   Bundle is not needed and there is no need for importing Apache2.pm
   form apache-mod_perl.conf

Revision 1.93  2005/05/28 13:49:32  migo
- s/Apache3/Apache2/

Revision 1.92  2005/05/26 15:40:05  radzio
- mv -f $RPM_BUILD_ROOT/%{perl_vendorarch}/Bundle/Apache3.pm $RPM_BUILD_ROOT/%{perl_vendorarch}/
- right mod_perls.so can be loaded by apache
- need tests
- rel 0.9

Revision 1.91  2005/05/26 15:01:16  radzio
- add %{perl_vendorarch}/Bundle/Apache.pm (needed by apache-mod_perl.so)

Revision 1.90  2005/05/26 14:03:14  radzio
- install few more files (don't know why "make install" does not do that)
- rm -f needless files

Revision 1.89  2005/05/26 11:55:35  radzio
- update to 2.0.0 final

Revision 1.88  2005/05/18 12:33:47  ankry
- started up to RC6

Revision 1.87  2005/02/19 11:17:46  radek
- version 2.0.0-RC4

Revision 1.86  2005/02/18 07:58:36  ankry
- rel. .5

Revision 1.85  2005/02/18 01:54:03  ankry
- rel. .4

Revision 1.84  2005/02/17 17:25:44  ankry
- rel. .3

Revision 1.83  2005/02/17 12:27:21  paszczus
- release 2 to rebuild with new apache

Revision 1.82  2004/12/24 10:20:19  radek
- version 2.0.0-RC2-XMas

Revision 1.81  2004/12/13 19:08:37  radek
- release 0._rc.2: official RC1

Revision 1.80  2004/12/11 21:01:25  radek
- version 2.0.0-RC1

Revision 1.79  2004/11/28 21:01:21  radek
- release 4: added -pm_to_blib.patch and BR: MakeMaker >= 6.22

Revision 1.78  2004/11/28 12:47:45  radek
- release 3: changed req_eq perl-base to strict DynaLoader req

Revision 1.77  2004/11/18 15:05:19  radek
- release 2: added ExtUtils::Embed and ModPerl::* to noautoreq
- s/noautoreqdep/noautoreq/ (what does the former one do anyway?)

Revision 1.76  2004/11/09 17:54:20  ciesiel
- upgrade to version 1.99_17

Revision 1.75  2004/11/04 20:41:31  qboosh
- shellglob fix

Revision 1.74  2004/11/04 20:22:40  paladine
- spaces->tabs

Revision 1.73  2004/10/29 09:01:59  paladine
- "HTTP" unification

Revision 1.72  2004/10/25 11:47:23  paladine
- "Perl" unifications

Revision 1.71  2004/10/13 09:26:36  blues
- just numerology.... 1.99_16

Revision 1.70  2004/10/10 12:05:10  havner
- rel up for rebuild with new apache/apr

Revision 1.69  2004/10/04 21:18:38  havner
- rel 7

Revision 1.68  2004/10/02 14:21:53  arekm
- update for new apr

Revision 1.67  2004/10/02 03:50:54  havner
- rel 6, rebuild with apache-2.0.52

Revision 1.66  2004/09/23 16:42:49  radek
- release 5: rebuild for apache-2.0.51

Revision 1.65  2004/09/19 14:44:18  radek
- release 4: fixed the LoadModule path in *.conf
- unified

Revision 1.64  2004/08/26 11:00:01  radek
- BC with mp1 already resolved

Revision 1.63  2004/08/24 16:44:12  radek
- updated -Makefile_PL.patch: do not exit when apache1-mod_perl is installed

Revision 1.62  2004/08/21 10:48:23  misi3k
- updated to 1.99_15

Revision 1.61  2004/08/11 18:45:37  havner
- rel 3

Revision 1.60  2004/08/10 18:33:53  havner
- rel 2

Revision 1.59  2004/05/29 21:36:31  radek
- version 1.99_14

Revision 1.58  2004/05/27 14:58:33  radek
- release 4: restored requires_eq: perl-base

Revision 1.57  2004/05/12 10:00:33  radek
- commented out loading Apache::compat in default config

Revision 1.56  2004/05/11 22:07:00  ankry
- kill unnecessary %requires_eq perl-base, rel. 2

Revision 1.55  2004/05/06 12:05:34  blues
- TODO added

Revision 1.54  2004/05/04 22:46:47  ankry
- fixed _noautoreqdep

Revision 1.53  2004/05/04 22:04:50  ankry
- BC

Revision 1.52  2004/05/04 21:40:19  ankry
- _noautoreqdep

Revision 1.51  2004/04/11 19:07:15  adamg
- release 1

Revision 1.50  2004/04/11 18:52:26  adamg
- fixed build

Revision 1.49  2004/04/11 11:21:47  agaran
- mistake, reverting to correct one

Revision 1.47  2004/04/07 17:28:43  migo
- updated from old snap to some released devel version: 1.99_13

Revision 1.46  2004/02/18 15:10:25  qboosh
- s/no/nb/ in Summary langs

Revision 1.45  2003/12/11 19:31:41  migo
- BR: openldap-devel
- Provides: perl-Apache-Test

Revision 1.44  2003/11/16 23:39:05  radek
- BR: expat-devel

Revision 1.43  2003/10/06 23:55:12  arekm
- fix md5

Revision 1.42  2003/10/06 23:49:19  arekm
- updated to latest snap

Revision 1.41  2003/09/20 11:18:34  arekm
- fix building with new apr/apr-util

Revision 1.40  2003/08/06 16:12:13  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.39  2003/07/18 09:25:56  radek
- fixed %files, updated forgotten md5

Revision 1.38  2003/07/17 23:58:36  radek
- snapshot 20030717, use the __perl macro, requires_eq:perl-base, do not BR:perl

Revision 1.37  2003/07/07 03:10:38  blues
- some small changes, inpired by kloczek

Revision 1.36  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.35  2003/05/25 05:45:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.34  2003/04/03 06:49:57  misiek
- merged from APACHE2

Revision 1.31.2.2  2003/04/02 23:35:37  tjbynum
- ready for NEST.

Revision 1.31.2.1  2002/09/09 14:42:32  misiek
- initial 2.0 release for apache2
